Create saved objects
- Base URL
-
https://{kibana_url}
-
POST
/api/saved_objects/_bulk_create
Auth
Deprecated
This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
Creates multiple Kibana saved objects in a single request.
For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).
-
overwrite
boolean · default: false
-
Overwrite existing saved objects that match the same type and ID.
-
A required header to protect against CSRF attacks
<array> object[] · max items: 10000
-
attributes
map string to object
required
-
coreMigrationVersion
string · max length: 256
-
id
string · max length: 512
-
initialNamespaces
string[] · min items: 1 · max items: 100
-
migrationVersion
map string to string
-
<string>
string · max length: 256
-
references
object[] · max items: 1000
-
-
id
string · max length: 512
required
-
name
string · max length: 1024
required
-
type
string · max length: 256
required
-
type
string · max length: 256
required
-
typeMigrationVersion
string · max length: 256
-
version
string · max length: 256
Thank you for your feedback.